Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160882 - i2o RAID monitoring memory leak
Summary: i2o RAID monitoring memory leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-17 23:10 UTC by Warren Togami
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:32:46 UTC


Attachments (Terms of Use)
patch against kernel-2.6.9-11.14.EL (deleted)
2005-06-17 23:10 UTC, Warren Togami
no flags Details | Diff
Fixed duplicated sg_list_cleanup (deleted)
2005-06-20 15:09 UTC, Markus Lidel
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Warren Togami 2005-06-17 23:10:33 UTC
Markus Lidel (upstream I2O driver maintainer) said that coughlan@redhat.com
discovered a serious memory leak in the i2o_config driver, where if you
constantly monitor your RAID arrays using I2O raidutils, you will OOM and kill
your system.

Markus provided the attached patch against kernel-2.6.9-11.14.EL.  I personally
wont have a chance to test this patch until I am back home on June 28th.

http://kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.12-rc6/2.6.12-rc6-mm1/broken-out/i2o-bugfixes-and-compability-enhancements.patch
Apparently this is part of a larger batch of I2O bug fixes currently in akpm's tree.

Comment 1 Warren Togami 2005-06-17 23:10:33 UTC
Created attachment 115645 [details]
patch against kernel-2.6.9-11.14.EL

Comment 2 Hiro Yoshioka 2005-06-20 12:21:24 UTC
the patch has duplicate label `sg_list_cleanup'. could you clean up?

Comment 3 Markus Lidel 2005-06-20 15:09:03 UTC
Created attachment 115691 [details]
Fixed duplicated sg_list_cleanup

Comment 12 Red Hat Bugzilla 2005-10-05 13:32:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.